package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 设备管理对象 base_equipment
 * 
 * @author Open Platform
 * @date 2023-07-20
 */
public class BaseEquipment extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 设备类型ID */
	private Long equipmentId;

	/** 设备类型编码 */
	@Excel(name = "设备类型编码")
	private String equipmentCode;

	/** 设备类型名称 */
	@Excel(name = "设备类型名称")
	private String equipmentName;

	/** 品牌 */
	@Excel(name = "品牌")
	private String equipmentBrand;

	/** 规格型号 */
	@Excel(name = "规格型号")
	private String equipmentSpec;

	/** 设备类型ID */
	@Excel(name = "设备类型ID")
	private Long equipmentTypeId;

	/** 设备类型编码 */
	@Excel(name = "设备类型编码")
	private String equipmentTypeCode;

	/** 设备类型名称 */
	@Excel(name = "设备类型名称")
	private String equipmentTypeName;

	/** 所属车间ID */
	@Excel(name = "所属车间ID")
	private Long workshopId;

	/** 所属车间编码 */
	@Excel(name = "所属车间编码")
	private String workshopCode;

	/** 所属车间名称 */
	@Excel(name = "所属车间名称")
	private String workshopName;

	/** 设备状态 */
	@Excel(name = "设备状态")
	private String status;

	/** 预留字段1 */
	@Excel(name = "预留字段1")
	private String attr1;

	/** 预留字段2 */
	@Excel(name = "预留字段2")
	private String attr2;

	/** 预留字段3 */
	@Excel(name = "预留字段3")
	private Long attr3;

	/** 预留字段4 */
	@Excel(name = "预留字段4")
	private Long attr4;

	/** 单台能力工时 */
//	@Excel(name = "单台能力工时")
//	private String unitWorkingHours;

	/** 工段 */
	@Excel(name = "工段")
	private String workshopSection;

	/** 设备位置 */
	@Excel(name = "设备位置")
	private String equipmentLocation;

	/** 工时单价 */
	@Excel(name = "工时单价")
	private String hourlyUnitPrice;

	public void setEquipmentId(Long equipmentId) {
		this.equipmentId = equipmentId;
	}

	public Long getEquipmentId() {
		return equipmentId;
	}
	public void setEquipmentCode(String equipmentCode) {
		this.equipmentCode = equipmentCode;
	}

	public String getEquipmentCode() {
		return equipmentCode;
	}
	public void setEquipmentName(String equipmentName) {
		this.equipmentName = equipmentName;
	}

	public String getEquipmentName() {
		return equipmentName;
	}
	public void setEquipmentBrand(String equipmentBrand) {
		this.equipmentBrand = equipmentBrand;
	}

	public String getEquipmentBrand() {
		return equipmentBrand;
	}
	public void setEquipmentSpec(String equipmentSpec) {
		this.equipmentSpec = equipmentSpec;
	}

	public String getEquipmentSpec() {
		return equipmentSpec;
	}
	public void setEquipmentTypeId(Long equipmentTypeId) {
		this.equipmentTypeId = equipmentTypeId;
	}

	public Long getEquipmentTypeId() {
		return equipmentTypeId;
	}
	public void setEquipmentTypeCode(String equipmentTypeCode) {
		this.equipmentTypeCode = equipmentTypeCode;
	}

	public String getEquipmentTypeCode() {
		return equipmentTypeCode;
	}
	public void setEquipmentTypeName(String equipmentTypeName) {
		this.equipmentTypeName = equipmentTypeName;
	}

	public String getEquipmentTypeName() {
		return equipmentTypeName;
	}
	public void setWorkshopId(Long workshopId) {
		this.workshopId = workshopId;
	}

	public Long getWorkshopId() {
		return workshopId;
	}
	public void setWorkshopCode(String workshopCode) {
		this.workshopCode = workshopCode;
	}

	public String getWorkshopCode() {
		return workshopCode;
	}
	public void setWorkshopName(String workshopName) {
		this.workshopName = workshopName;
	}

	public String getWorkshopName() {
		return workshopName;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}
	public void setAttr1(String attr1) {
		this.attr1 = attr1;
	}

	public String getAttr1() {
		return attr1;
	}
	public void setAttr2(String attr2) {
		this.attr2 = attr2;
	}

	public String getAttr2() {
		return attr2;
	}
	public void setAttr3(Long attr3) {
		this.attr3 = attr3;
	}

	public Long getAttr3() {
		return attr3;
	}
	public void setAttr4(Long attr4) {
		this.attr4 = attr4;
	}

	public Long getAttr4() {
		return attr4;
	}
//	public void setUnitWorkingHours(String unitWorkingHours) {
//		this.unitWorkingHours = unitWorkingHours;
//	}
//
//	public String getUnitWorkingHours() {
//		return unitWorkingHours;
//	}
	public void setWorkshopSection(String workshopSection) {
		this.workshopSection = workshopSection;
	}

	public String getWorkshopSection() {
		return workshopSection;
	}
	public void setEquipmentLocation(String equipmentLocation) {
		this.equipmentLocation = equipmentLocation;
	}

	public String getEquipmentLocation() {
		return equipmentLocation;
	}
	public void setHourlyUnitPrice(String hourlyUnitPrice) {
		this.hourlyUnitPrice = hourlyUnitPrice;
	}

	public String getHourlyUnitPrice() {
		return hourlyUnitPrice;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("equipmentId", getEquipmentId())
			.append("equipmentCode", getEquipmentCode())
			.append("equipmentName", getEquipmentName())
			.append("equipmentBrand", getEquipmentBrand())
			.append("equipmentSpec", getEquipmentSpec())
			.append("equipmentTypeId", getEquipmentTypeId())
			.append("equipmentTypeCode", getEquipmentTypeCode())
			.append("equipmentTypeName", getEquipmentTypeName())
			.append("workshopId", getWorkshopId())
			.append("workshopCode", getWorkshopCode())
			.append("workshopName", getWorkshopName())
			.append("status", getStatus())
			.append("remark", getRemark())
			.append("attr1", getAttr1())
			.append("attr2", getAttr2())
			.append("attr3", getAttr3())
			.append("attr4", getAttr4())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
//			.append("unitWorkingHours", getUnitWorkingHours())
			.append("workshopSection", getWorkshopSection())
			.append("equipmentLocation", getEquipmentLocation())
			.append("hourlyUnitPrice", getHourlyUnitPrice())
			.toString();
	}
}
